Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.inspection.implementations
Class WeightsInspection

    java.lang.Object
      org.joone.inspection.implementations.WeightsInspection

All Implemented Interfaces:
  Inspection

    public class WeightsInspection

extends java.lang.Object
implements Inspection

Constructor Summary
`WeightsInspection(Matrix weightsArg)`

Method Summary
`java.lang.Object[][]` | `getComponent()` Method to get the inspectable values of the Inspectable class.
`java.lang.Object[]` | `getNames()` Method to get the names of each column
`java.lang.String` | `getTitle()` Method to get the title of the object for display in the InspectionFrame title bar.
`boolean` | `rowNumbers()` Method to get the necessity to display a column containing the row's numbers for these inspection values.
`void` | `setComponent(java.lang.Object[][] newValues)` Sets the array of values for this component

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeightsInspection

    public WeightsInspection(Matrix weightsArg)

Method Detail

### getComponent

    public java.lang.Object[][] getComponent()

  Description copied from interface: `Inspection`
  Method to get the inspectable values of the Inspectable class.

  Specified by:
    `getComponent` in interface `Inspection`
  Returns:
    representation of the Inspectable class data.
  See Also:
    `org.joone.Inspectable`

### getTitle

    public java.lang.String getTitle()

  Description copied from interface: `Inspection`
  Method to get the title of the object for display in the InspectionFrame title bar.

  Specified by:
    `getTitle` in interface `Inspection`
  Returns:
    title of the object.
  See Also:
    `org.joone.InspectionFrame`

### getNames

    public java.lang.Object[] getNames()

  Description copied from interface: `Inspection`
  Method to get the names of each column

  Specified by:
    `getNames` in interface `Inspection`
  Returns:
    the columns' names

### rowNumbers

    public boolean rowNumbers()

  Description copied from interface: `Inspection`
  Method to get the necessity to display a column containing the row's numbers for these inspection values.

  Specified by:
    `rowNumbers` in interface `Inspection`
  Returns:
    true if the rows numbers must be displayed

### setComponent

    public void setComponent(java.lang.Object[][] newValues)

  Description copied from interface: `Inspection`
  Sets the array of values for this component

  Specified by:
    `setComponent` in interface `Inspection`
  Parameters:
    `newValues` - Array of new values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net